# Class MicroCosmFileIterator

java.lang.Object
org.snpeff.fileIterator.FileIterator<MicroCosmEntry>
org.snpeff.fileIterator.LineClassFileIterator<MicroCosmEntry>
org.snpeff.fileIterator.microCosm.MicroCosmFileIterator

All Implemented Interfaces:
  `Iterable<MicroCosmEntry>, Iterator<MicroCosmEntry>`

public class MicroCosmFileIterator extends LineClassFileIterator<MicroCosmEntry>
Iterate on each line of a MicroCosm predictions References: http://www.ebi.ac.uk/enright-srv/microcosm/

Author:
  pcingola

## Field Summary

### Fields inherited from class LineClassFileIterator

`clazz, debug, FIELD_NAME_SEPARATOR, fieldByName, fieldNames, fieldStr, separator`

### Fields inherited from class FileIterator

`autoClose, countNewLineChars, fileName, fileSize, line, lineNum, next, nextLine, reader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`MicroCosmFileIterator(String fileName)`

## Method Summary

### Methods inherited from class LineClassFileIterator

`createObject, fieldMap, iterator, readNext, setSeparator`

### Methods inherited from class FileIterator

`close, countNewLineChars, getFilePointer, getLine, getLineNum, guessNewLineChars, hasNext, hasSeek, init, isDebug, load, next, readLine, ready, remove, seek, setAutoClose, setDebug, setVerbose, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

### Methods inherited from interface Iterator

`forEachRemaining`

## Constructor Details

### MicroCosmFileIterator

public MicroCosmFileIterator(String fileName)